WordPress.org

Ready to get started?Download WordPress

Forums

Flashcard Plugin for WordPress
Not working (5 posts)

  1. christacameron@mac.com
    Member
    Posted 1 year ago #

    I've read the 1 year old comments about using the demo txt file but nothing is working. I'm using a them from inkthemes and have lodged a query there too.
    Any help will be appreciated - tnx

    http://wordpress.org/extend/plugins/flashcard/

  2. morwalz
    Member
    Posted 1 year ago #

    I m worried if he still support this plugin.
    This plugin is working but of cost of other plugins. This is having conflict of js file. after enable it dashboard shop showing pop ups. anybody can help about it ?

  3. yakos
    Member
    Posted 1 year ago #

    He probably doesnt support it any more.
    It stopped working for me too. It doesn't rotate the cards for me.

    Could because of another plugin, but I don't know

    Any help please

  4. Daniel
    Member
    Posted 11 months ago #

    I got this plugin working, but only by removing the "Ninja announcements" plugin.

    I'm not an expert, but the problem seems to be with the way the Flashcards plugin is loading up jQuery, specifically these lines:

    /*
     * enqueue all the javascripts
     */
    wp_enqueue_script('jquery1.7', 'http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js');
    wp_enqueue_script('jquery-css-transform', WP_PLUGIN_URL.'/flashcard/rotate3Di/jquery-css-transform/jquery-css-transform.js', array('jquery1.7'));
    wp_enqueue_script('rotate3Di', WP_PLUGIN_URL.'/flashcard/rotate3Di/rotate3Di.js', array('jquery-css-transform'));
    wp_enqueue_script('flashcard', WP_PLUGIN_URL.'/flashcard/flashcard.js', array('rotate3Di'));

    I tried to get the plugin to load jQuery straight from WordPress. When that didn't work I then changed "jQuery1.7" to "jQuery1.10.2" in the code above (jQuery 1.10.2 is the version WordPress 3.6 comes pre-installed with). But this didn't work either.

    Basically, jQuery is being loaded up more than once and it shouldn't be.

    Anyone with a bit more expertise able to help? :-)

  5. Liang Shao
    Member
    Plugin Author

    Posted 10 months ago #

    Hi,
    The version 0.2 is up, I think I have solved the jquery conflict issue. Please try again.
    Thanks,
    Liang

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic